@import "../../styles/consts.styl"

$padding=5px;
$messageColor=lighten($color, 40);

:host {
    position: absolute;
    min-width: 100px;
    display: none;
    background: white;
    border: solid 1px #E1E1E1;
    z-index: 100;
    overflow: visible;
    cursor: default;

    .popup-content {
        display: block;
        max-height: 450px;
        overflow-x: visible;
        overflow-y: auto;
        
        .popup-content-item.selected {
            background-color: #F1F1F1;
        }

        .popup-content-item.focused {
            background-color: $focusColor !important;
            color: white;
        }

        .popup-content-item {
            padding: $padding;
            cursor: pointer;
        }

        .popup-content-empty {
            padding: $padding;
            color: $messageColor;
        }
    }

    .popup-no-arrowed {
        padding: $padding;
        font-size: 12px;
        color: $messageColor;
    }

    .popup-error-text {
        padding: $padding;
        color: $messageColor;
    }

    .popup-error-action {
        padding: $padding;
        background-color: $focusColor;
        color: white;
        cursor: pointer;
    }
}

:host.show-popup {
    display: block;
}